Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BlockMessageSenderFromReplies

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.BlockMessageSenderFromReplies

Enclosing class:
  TdApi

public static final class TdApi.BlockMessageSenderFromReplies extends TdApi.Function<TdApi.Ok>
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`deleteAllMessages`
Pass true to delete all messages from the same sender.
`boolean`
`deleteMessage`
Pass true to delete the message.
`long`
`messageId`
The identifier of an incoming message in the Replies chat.
`boolean`
`reportSpam`
Pass true to report the sender to the Telegram moderators.

## Constructor Summary

Constructors
Constructor
Description
`BlockMessageSenderFromReplies()`
Blocks an original sender of a message in the Replies chat.
`BlockMessageSenderFromReplies(long messageId, boolean deleteMessage, boolean deleteAllMessages, boolean reportSpam)`
Blocks an original sender of a message in the Replies chat.
`BlockMessageSenderFromReplies(DataInput input)`
Blocks an original sender of a message in the Replies chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageId

public long messageId
The identifier of an incoming message in the Replies chat.

### deleteMessage

public boolean deleteMessage
Pass true to delete the message.

### deleteAllMessages

public boolean deleteAllMessages
Pass true to delete all messages from the same sender.

### reportSpam

public boolean reportSpam
Pass true to report the sender to the Telegram moderators.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BlockMessageSenderFromReplies

public BlockMessageSenderFromReplies()
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

### BlockMessageSenderFromReplies

public BlockMessageSenderFromReplies(long messageId, boolean deleteMessage, boolean deleteAllMessages, boolean reportSpam)
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

Parameters:
  `messageId` - The identifier of an incoming message in the Replies chat.
  `deleteMessage` - Pass true to delete the message.
  `deleteAllMessages` - Pass true to delete all messages from the same sender.
  `reportSpam` - Pass true to report the sender to the Telegram moderators.

  Returns `Ok`

### BlockMessageSenderFromReplies

public BlockMessageSenderFromReplies(DataInput input) throws IOException
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`